Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.masterController
Class MasterControllerService

    java.lang.Object
      com.sun.mdm.index.edm.services.masterController.MasterControllerService

public class MasterControllerService
extends java.lang.Object

Field Summary
`static java.lang.String` | `HASH_MAP_TYPE`
`static java.lang.String` | `LID`
`static java.lang.String` | `MINOR_OBJECT_BRAND_NEW`
`static java.lang.String` | `MINOR_OBJECT_ID`
`static java.lang.String` | `MINOR_OBJECT_REMOVE`
`static java.lang.String` | `MINOR_OBJECT_TYPE`
`static java.lang.String` | `MINOR_OBJECT_UPDATE`
`static java.lang.String` | `SBR_UPDATE`
`static java.lang.String` | `SYSTEM_CODE`
`static java.lang.String` | `SYSTEM_OBJECT_BRAND_NEW`
`static java.lang.String` | `SYSTEM_OBJECT_UPDATE`

Constructor Summary
`MasterControllerService()` Creates a new instance of MasterControllerService

Method Summary
`java.lang.String` | `activateEnterpriseObject(java.lang.String euid)`
`void` | `activateSystemObject(java.lang.String systemCode, java.lang.String LID)`
`void` | `activateSystemObject(SystemObject systemObject)`
`SystemObject` | `addMinorObject(SBR sbr, java.lang.String objectType, java.util.HashMap hm)`
`SystemObject` | `addMinorObject(SystemObject systemObject, java.lang.String objectType, java.util.HashMap hm)`
`SystemObject` | `addMinorObjects(SystemObject systemObject, java.util.ArrayList minorObjects)`
`void` | `addSystemObject(SystemObject so)`
`int` | `countAssumedMatches(java.sql.Timestamp startDate, java.sql.Timestamp endDate)` This method returns count of existing assumed matches
`int` | `countPotentialDuplicates(java.sql.Timestamp startDate, java.sql.Timestamp endDate)` This method returns count of existing potentential duplicates
`EnterpriseObject` | `createEnterpriseObject(SystemObject sysObj)`
`SystemObject` | `createSystemObject(java.lang.String systemCode, java.lang.String LID, java.util.HashMap hm)`
`java.lang.String` | `deactivateEnterpriseObject(java.lang.String euid)`
`void` | `deactivateSystemObject(java.lang.String systemCode, java.lang.String LID)`
`void` | `deactivateSystemObject(SystemObject systemObject)`
`TransactionObject` | `findMergeType(java.lang.String euid)`
`int` | `getAssumedMatchThreshold()`
`java.util.HashMap` | `getAuditLogFunctins()`
`java.lang.String` | `getAuditMsg()`
`int` | `getDuplicateThreshold()`
`EnterpriseObject` | `getEnterpriseObject(java.lang.String euid)`
`java.util.HashMap` | `getEnterpriseObjectAsHashMap(EnterpriseObject eo, EPathArrayList ePathArrayList)`
`java.util.ArrayList` | `getEnterpriseObjectChildrenArrayList(EnterpriseObject eo, EPathArrayList ePathArrayList, java.lang.String childObjType, java.lang.String operation)`
`EnterpriseObject` | `getEnterpriseObjectForSO(SystemObject so)`
`java.util.ArrayList` | `getEnterpriseObjects(java.lang.String[] euids)`
`int` | `getEuidLength()`
`java.util.HashMap` | `getFunctins()`
`java.util.HashMap` | `getLinkedFields(EnterpriseObject eo)`
`java.util.HashMap` | `getLinkValues(EnterpriseObject eo)`
`java.util.HashMap` | `getLinkValuesForChildren(EnterpriseObject eo, java.lang.String minorObjectType, java.lang.String minorObjectId)`
`java.util.HashMap` | `getLockedFields(EnterpriseObject eo)`
`MasterController` | `getMasterController()` Returns a handle to the MasterController EJB
`MergeHistoryNode` | `getMergeHistory(java.lang.String euid)`
`MergeHistoryNode` | `getMergeHistoryNode(java.lang.String euid)`
`(package private) java.util.List` | `getPostLIDMergeEOs(java.lang.String systemCode, java.lang.String sourceLID, java.lang.String destinationLID, SystemObject finalSOImage, EnterpriseObject sourceEO, EnterpriseObject destinationEO)`
`MergeResult` | `getPostLIDUnmerge(java.lang.String systemCode, java.lang.String sourceLid, java.lang.String destLid)`
`(package private) java.util.List` | `getPostLIDUnmergeEOs(java.lang.String systemCode, java.lang.String sourceLID, java.lang.String destinationLID, EnterpriseObject eo)`
`EnterpriseObject` | `getPostMergeEO(EnterpriseObject sourceEO, EnterpriseObject destinationEO)`
`EnterpriseObject` | `getPostMergeMultipleEnterpriseObjects(java.lang.String[] sourceEUIDs, EnterpriseObject destinationEO, java.lang.String[] srcRevisionNumbers, java.lang.String destRevisionNumber)` Merge multiple enterprise records based on the given source EUIDs and the destination EO.
`SystemObject` | `getPostMergeSystemObject(java.lang.String systemCode, java.lang.String sourceLID, java.lang.String destLID)`
`(package private) java.util.List` | `getPostUnmergeEOs(EnterpriseObject eo)`
`java.lang.String` | `getPotentialDuplicateFromKey(java.lang.String mainEuid, java.lang.String dupId, java.lang.String keyInput)`
`java.lang.String` | `getPotentialDuplicateID(java.lang.String euid, java.lang.String dupID)`
`java.lang.String` | `getPotentialDuplicateStatus(java.lang.String euid, java.lang.String dupID)`
`float` | `getPotentialDuplicateWeight(java.lang.String mainEuid, java.lang.String dupId)`
`java.lang.String` | `getRootNodeName()`
`(package private) java.util.ArrayList` | `getSBRs(java.lang.String[] euid)`
`java.lang.String` | `getSummaryInfo()`
`java.lang.String[][]` | `getSystemCodes()`
`java.lang.String` | `getSystemDescription(java.lang.String systemcode)`
`SystemObject` | `getSystemObject(java.lang.String systemCode, java.lang.String LID)`
`java.util.HashMap` | `getSystemObjectAsHashMap(SystemObject so, EPathArrayList ePathArrayList)`
`java.util.ArrayList` | `getSystemObjectChildrenArrayList(SystemObject so, EPathArrayList ePathArrayList, java.lang.String childObjType, java.lang.String operation)`
`SystemObject[]` | `getSystemObjects(java.lang.String systemCode, java.lang.String[] LID)`
`java.lang.String` | `getUpdateUserName()`
`void` | `insertAuditLog(java.lang.String userName, java.lang.String euid1, java.lang.String euid2, java.lang.String function, int screeneID, java.lang.String detail)`
`boolean` | `isEUIDMerge(java.lang.String transactionNumber)`
`boolean` | `isSystemObjectExists(java.lang.String systemCode, java.lang.String LID)`
`AssumedMatchIterator` | `lookupAssumedMatches(AssumedMatchSearchObject amso)` This method fetches existing assumed Matches
`AuditIterator` | `lookupAuditLog(AuditSearchObject obj)`
`PotentialDuplicateIterator` | `lookupPotentialDuplicates(PotentialDuplicateSearchObject pdso)`
`TransactionIterator` | `lookupTransactionHistory(TransactionSearchObject searchObj)`
`MergeResult` | `mergeEnterpriseObject(EnterpriseObject sourceEO, EnterpriseObject destinationEO)`
`EnterpriseObject` | `mergeMultipleEnterpriseObjects(java.lang.String[] sourceEUIDs, EnterpriseObject destinationEO, java.lang.String[] srcRevisionNumbers, java.lang.String destRevisionNumber)` Merge multiple enterprise records based on the given source EUIDs and the destination EO.
`SystemObject` | `mergeSystemObject(java.lang.String systemCode, java.lang.String sourceLID, java.lang.String destLID, java.util.HashMap hm, java.util.ArrayList minorObjectsList)`
`ObjectNode` | `modifyMinorObject(ObjectNode minorObject, java.util.HashMap hm)`
`ObjectNode` | `modifyMinorObjectSBR(ObjectNode minorObject, java.util.HashMap hm, SBR sbr)`
`SBR` | `modifySBR(SBR sbr, java.util.HashMap hm)`
`SystemObject` | `modifySystemObject(SystemObject sysObj, java.util.HashMap hm)`
`SystemObject` | `modifySystemObject(SystemObject sysObj, java.util.HashMap hm, java.util.ArrayList minorObjects)`
`EnterpriseObject` | `modifySystemObjects(EnterpriseObject eo, java.util.ArrayList systemObjects)`
`EnterpriseObject` | `previewUndoAssumedMatch(java.lang.String assumedMatchId)` This method invokes method in EJB to preview/simulate the UNDo on an existing Assumed Match
`MergeResult` | `previewUnmerge(java.lang.String transactionNumber)`
`EnterpriseObject` | `removeLinks(java.util.HashMap hm, EnterpriseObject eo)`
`EnterpriseObject` | `removeLinksForChildren(java.util.ArrayList childrenHashmaps, EnterpriseObject eo)`
`EnterpriseObject` | `removeLocks(java.util.HashMap hm, EnterpriseObject eo)`
`void` | `removeMinorObject(ObjectNode minorObject, java.util.HashMap hm)`
`(package private) ObjectNode` | `removeMinorObject(ObjectNode majorObject, ObjectNode minorObject)`
`void` | `removeMinorObject(SBR sbr, java.util.HashMap hm)`
`EnterpriseObject` | `save(EnterpriseObject eo, java.util.ArrayList changedSBR, java.util.ArrayList systemObjects, java.util.ArrayList minorObjects)`
`EnterpriseObject` | `saveLinks(java.util.HashMap hm, EnterpriseObject eo)`
`EnterpriseObject` | `saveLinksForChildren(java.util.ArrayList childrenHashmaps, EnterpriseObject eo)`
`EOSearchResultIterator` | `searchEnterpriseObject(EOSearchCriteria eoSearchCriteria, EOSearchOptions eoSearchOptions)`
`void` | `setAsDifferentPerson(java.lang.String id, boolean flag)`
`void` | `setAuditMsg(java.lang.String val)`
`static void` | `setObjectNodeFieldValue(ObjectNode node, java.lang.String field, java.lang.String valueString)`
`static void` | `setObjectNodeFieldValue(ObjectNode node, java.lang.String field, java.lang.String valueString, SBR sbr)`
`void` | `setRootNodeName(java.lang.String rootNodeName)`
`void` | `setSummaryInfo(java.lang.String val)`
`void` | `setUpdateUserName(java.lang.String updateUserName)`
`java.lang.String` | `undoAssumedMatch(java.lang.String assumedMatchId)` This method invokes method in EJB to UNDO an existing Assumed Match
`MergeResult` | `unmerge(java.lang.String transactionNumber)`
`MergeResult` | `unMerge(java.lang.String euid)`
`(package private) MergeResult` | `unmergeEnterpriseObject(EnterpriseObject eo)`
`void` | `unresolvePotentialDuplicate(java.lang.String id)`
`void` | `updateEnterpriseObject(EnterpriseObject eo)`
`java.util.ArrayList` | `viewHistory(java.lang.String euid)`
`EnterpriseObjectHistory` | `viewMergeRecords(java.lang.String transactionNumber)`
`void` | `viewMergeTree(java.lang.String euid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HASH_MAP_TYPE

    public static final java.lang.String HASH_MAP_TYPE

See Also:
  Constant Field Values

### LID

    public static final java.lang.String LID

See Also:
  Constant Field Values

### MINOR_OBJECT_BRAND_NEW

    public static final java.lang.String MINOR_OBJECT_BRAND_NEW

See Also:
  Constant Field Values

### MINOR_OBJECT_ID

    public static final java.lang.String MINOR_OBJECT_ID

See Also:
  Constant Field Values

### MINOR_OBJECT_REMOVE

    public static final java.lang.String MINOR_OBJECT_REMOVE

See Also:
  Constant Field Values

### MINOR_OBJECT_TYPE

    public static final java.lang.String MINOR_OBJECT_TYPE

See Also:
  Constant Field Values

### MINOR_OBJECT_UPDATE

    public static final java.lang.String MINOR_OBJECT_UPDATE

See Also:
  Constant Field Values

### SBR_UPDATE

    public static final java.lang.String SBR_UPDATE

See Also:
  Constant Field Values

### SYSTEM_CODE

    public static final java.lang.String SYSTEM_CODE

See Also:
  Constant Field Values

### SYSTEM_OBJECT_BRAND_NEW

    public static final java.lang.String SYSTEM_OBJECT_BRAND_NEW

See Also:
  Constant Field Values

### SYSTEM_OBJECT_UPDATE

    public static final java.lang.String SYSTEM_OBJECT_UPDATE

See Also:
  Constant Field Values

Constructor Detail

### MasterControllerService

    public MasterControllerService()

  Creates a new instance of MasterControllerService

Method Detail

### activateEnterpriseObject

    public java.lang.String activateEnterpriseObject(java.lang.String euid)
                                              throws ProcessingException,
                                                     UserException

  Throws:
    `ProcessingException`
    `UserException`

### activateSystemObject

    public void activateSystemObject(java.lang.String systemCode,
                                     java.lang.String LID)
                              throws ObjectException,
                                     ProcessingException,
                                     UserException

  Throws:
    `ObjectException`
    `ProcessingException`
    `UserException`

### activateSystemObject

    public void activateSystemObject(SystemObject systemObject)
                              throws ObjectException,
                                     ProcessingException,
                                     UserException

  Throws:
    `ObjectException`
    `ProcessingException`
    `UserException`

### addMinorObject

    public SystemObject addMinorObject(SBR sbr,
                                       java.lang.String objectType,
                                       java.util.HashMap hm)
                                throws ObjectException,
                                       ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### addMinorObject

    public SystemObject addMinorObject(SystemObject systemObject,
                                       java.lang.String objectType,
                                       java.util.HashMap hm)
                                throws ObjectException,
                                       ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### addMinorObjects

    public SystemObject addMinorObjects(SystemObject systemObject,
                                        java.util.ArrayList minorObjects)
                                 throws ObjectException,
                                        ValidationException,
                                        UserException,
                                        ProcessingException

  Throws:
    `ObjectException`
    `ValidationException`
    `UserException`
    `ProcessingException`

### addSystemObject

    public void addSystemObject(SystemObject so)
                         throws ProcessingException,
                                UserException

  Returns:
    void
  Throws:
    `UserException,` - ProcessingException.
    `ProcessingException`
    `UserException`

### countAssumedMatches

    public int countAssumedMatches(java.sql.Timestamp startDate,
                                   java.sql.Timestamp endDate)
                            throws ProcessingException,
                                   UserException

  This method returns count of existing assumed matches

  Returns:
    int count
  Throws:
    `ProcessingException` - An error has occured.
    `UserException`

### countPotentialDuplicates

    public int countPotentialDuplicates(java.sql.Timestamp startDate,
                                        java.sql.Timestamp endDate)
                                 throws ProcessingException,
                                        UserException

  This method returns count of existing potentential duplicates

  Returns:
    int count
  Throws:
    `ProcessingException` - An error has occured.
    `UserException`

### createEnterpriseObject

    public EnterpriseObject createEnterpriseObject(SystemObject sysObj)
                                            throws ProcessingException,
                                                   UserException

  Throws:
    `ProcessingException`
    `UserException`

### createSystemObject

    public SystemObject createSystemObject(java.lang.String systemCode,
                                           java.lang.String LID,
                                           java.util.HashMap hm)
                                    throws ObjectException,
                                           ValidationException,
                                           java.lang.Exception

  Throws:
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### deactivateEnterpriseObject

    public java.lang.String deactivateEnterpriseObject(java.lang.String euid)
                                                throws ProcessingException,
                                                       UserException

  Throws:
    `ProcessingException`
    `UserException`

### deactivateSystemObject

    public void deactivateSystemObject(java.lang.String systemCode,
                                       java.lang.String LID)
                                throws ObjectException,
                                       ProcessingException,
                                       UserException

  Throws:
    `ObjectException`
    `ProcessingException`
    `UserException`

### deactivateSystemObject

    public void deactivateSystemObject(SystemObject systemObject)
                                throws ObjectException,
                                       ProcessingException,
                                       UserException

  Throws:
    `ObjectException`
    `ProcessingException`
    `UserException`

### findMergeType

    public TransactionObject findMergeType(java.lang.String euid)
                                    throws ProcessingException,
                                           UserException,
                                           PageException,
                                           java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### getAssumedMatchThreshold

    public int getAssumedMatchThreshold()

### getAuditLogFunctins

    public java.util.HashMap getAuditLogFunctins()

### getAuditMsg

    public java.lang.String getAuditMsg()

### getDuplicateThreshold

    public int getDuplicateThreshold()

### getEnterpriseObject

    public EnterpriseObject getEnterpriseObject(java.lang.String euid)
                                         throws ProcessingException,
                                                UserException

  Throws:
    `ProcessingException`
    `UserException`

### getEnterpriseObjectAsHashMap

    public java.util.HashMap getEnterpriseObjectAsHashMap(EnterpriseObject eo,
                                                          EPathArrayList ePathArrayList)
                                                   throws ObjectException,
                                                          EPathException,
                                                          java.lang.Exception

  Throws:
    `ObjectException`
    `EPathException`
    `java.lang.Exception`

### getEnterpriseObjectChildrenArrayList

    public java.util.ArrayList getEnterpriseObjectChildrenArrayList(EnterpriseObject eo,
                                                                    EPathArrayList ePathArrayList,
                                                                    java.lang.String childObjType,
                                                                    java.lang.String operation)
                                                             throws ObjectException,
                                                                    EPathException,
                                                                    java.lang.Exception

  Throws:
    `ObjectException`
    `EPathException`
    `java.lang.Exception`

### getEnterpriseObjectForSO

    public EnterpriseObject getEnterpriseObjectForSO(SystemObject so)

### getEnterpriseObjects

    public java.util.ArrayList getEnterpriseObjects(java.lang.String[] euids)
                                             throws ProcessingException,
                                                    UserException

  Throws:
    `ProcessingException`
    `UserException`

### getEuidLength

    public int getEuidLength()
                      throws ProcessingException,
                             UserException

  Throws:
    `ProcessingException`
    `UserException`

### getFunctins

    public java.util.HashMap getFunctins()

### getLinkedFields

    public java.util.HashMap getLinkedFields(EnterpriseObject eo)
                                      throws ObjectException,
                                             ConnectionInvalidException,
                                             OPSException,
                                             ProcessingException,
                                             EPathException,
                                             UserException

  Parameters:
    `eo` - EnterpriseObject that has links which should require values.
  Returns:
    hashmap Key as EPath String, Value as actual field value from SystemObject that linked.
  Throws:
    `ObjectException`
    `ConnectionInvalidException`
    `OPSException`
    `ProcessingException`
    `EPathException`
    `UserException`

### getLinkValues

    public java.util.HashMap getLinkValues(EnterpriseObject eo)
                                    throws ObjectException,
                                           ConnectionInvalidException,
                                           OPSException,
                                           ProcessingException,
                                           EPathException,
                                           UserException

  Parameters:
    `eo` - EnterpriseObject that has links which should require values.
  Returns:
    hashmap Key as EPath String, Value as actual field value from SystemObject that linked.
  Throws:
    `ObjectException`
    `ConnectionInvalidException`
    `OPSException`
    `ProcessingException`
    `EPathException`
    `UserException`

### getLinkValuesForChildren

    public java.util.HashMap getLinkValuesForChildren(EnterpriseObject eo,
                                                      java.lang.String minorObjectType,
                                                      java.lang.String minorObjectId)
                                               throws ObjectException,
                                                      ConnectionInvalidException,
                                                      OPSException,
                                                      ProcessingException,
                                                      EPathException,
                                                      UserException

  Parameters:
    `eo` - EnterpriseObject that has links which should require values.
    `minorObjectType` - MinorObject Type eg: Address for which the link values required.
    `minorObjectId` - MinorObjectId is Child Id using which we can get the value.
  Returns:
    hashmap Key as EPath String, Value as actual field value from SystemObject that linked.
  Throws:
    `ObjectException`
    `ConnectionInvalidException`
    `OPSException`
    `ProcessingException`
    `EPathException`
    `UserException`

### getLockedFields

    public java.util.HashMap getLockedFields(EnterpriseObject eo)
                                      throws ObjectException,
                                             ConnectionInvalidException,
                                             OPSException,
                                             ProcessingException,
                                             EPathException,
                                             UserException

  Parameters:
    `eo` - EnterpriseObject that has links which should require values.
  Returns:
    hashmap Key as EPath String, Value as actual field value from SystemObject that linked.
  Throws:
    `ObjectException`
    `ConnectionInvalidException`
    `OPSException`
    `ProcessingException`
    `EPathException`
    `UserException`

### getMasterController

    public MasterController getMasterController()

  Returns a handle to the MasterController EJB

  Returns:
    a handle to the MasterController EJB.

### getMergeHistory

    public MergeHistoryNode getMergeHistory(java.lang.String euid)
                                     throws ProcessingException,
                                            UserException

  Throws:
    `ProcessingException`
    `UserException`

### getMergeHistoryNode

    public MergeHistoryNode getMergeHistoryNode(java.lang.String euid)
                                         throws ProcessingException,
                                                UserException

  Throws:
    `ProcessingException`
    `UserException`

### getPostLIDMergeEOs

    java.util.List getPostLIDMergeEOs(java.lang.String systemCode,
                                      java.lang.String sourceLID,
                                      java.lang.String destinationLID,
                                      SystemObject finalSOImage,
                                      EnterpriseObject sourceEO,
                                      EnterpriseObject destinationEO)
                                throws ProcessingException,
                                       UserException

  Returns:
    List EnterpriseObject
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### getPostLIDUnmerge

    public MergeResult getPostLIDUnmerge(java.lang.String systemCode,
                                         java.lang.String sourceLid,
                                         java.lang.String destLid)
                                  throws ProcessingException,
                                         UserException

  Throws:
    `ProcessingException`
    `UserException`

### getPostLIDUnmergeEOs

    java.util.List getPostLIDUnmergeEOs(java.lang.String systemCode,
                                        java.lang.String sourceLID,
                                        java.lang.String destinationLID,
                                        EnterpriseObject eo)
                                  throws ProcessingException,
                                         UserException

  Returns:
    List EnterpriseObject
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### getPostMergeEO

    public EnterpriseObject getPostMergeEO(EnterpriseObject sourceEO,
                                           EnterpriseObject destinationEO)
                                    throws ProcessingException,
                                           UserException

  Returns:
    EnterpriseObject
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### getPostMergeMultipleEnterpriseObjects

    public EnterpriseObject getPostMergeMultipleEnterpriseObjects(java.lang.String[] sourceEUIDs,
                                                                  EnterpriseObject destinationEO,
                                                                  java.lang.String[] srcRevisionNumbers,
                                                                  java.lang.String destRevisionNumber)
                                                           throws ProcessingException,
                                                                  UserException

  Merge multiple enterprise records based on the given source EUIDs and the destination EO. The source EUIDs will each be successively merged into the destination EO. For example, sourceEUIDs[0] will be merged into the destination EO. Then sourceEUIDs[1] will be merged into the destination EO. Next, sourceEUIDS[2] will be merged into the destination EO. If there are n merges, there will be n merge transaction log entries. All of these transactions must be unmerged in order to restore the state prior to the multiple merge.

  Parameters:
    `sourceEUIDs` - Array of source EUIDs to be merged.
    `destinationEO` - The EnterpriseObject to be kept.
    `srcRevisionNumbers` - The SBR revision numbers of the Enterprise Objects to be merged.
    `destRevisionNumber` - The SBR revision number of the EUID to be kept.
  Returns:
    Results of merge operations.
  Throws:
    `ProcessingException` - An error has occured.
    `UserException` - A user error occured

### getPostMergeSystemObject

    public SystemObject getPostMergeSystemObject(java.lang.String systemCode,
                                                 java.lang.String sourceLID,
                                                 java.lang.String destLID)
                                          throws ProcessingException,
                                                 UserException,
                                                 ObjectException,
                                                 ValidationException,
                                                 java.lang.Exception

  Throws:
    `ProcessingException`
    `UserException`
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### getPostUnmergeEOs

    java.util.List getPostUnmergeEOs(EnterpriseObject eo)
                               throws ProcessingException,
                                      UserException

  Returns:
    List EnterpriseObject
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### getPotentialDuplicateFromKey

    public java.lang.String getPotentialDuplicateFromKey(java.lang.String mainEuid,
                                                         java.lang.String dupId,
                                                         java.lang.String keyInput)
                                                  throws ProcessingException,
                                                         UserException,
                                                         PageException,
                                                         java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### getPotentialDuplicateID

    public java.lang.String getPotentialDuplicateID(java.lang.String euid,
                                                    java.lang.String dupID)
                                             throws ProcessingException,
                                                    UserException,
                                                    PageException,
                                                    java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### getPotentialDuplicateStatus

    public java.lang.String getPotentialDuplicateStatus(java.lang.String euid,
                                                        java.lang.String dupID)
                                                 throws ProcessingException,
                                                        UserException,
                                                        PageException,
                                                        java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### getPotentialDuplicateWeight

    public float getPotentialDuplicateWeight(java.lang.String mainEuid,
                                             java.lang.String dupId)
                                      throws ProcessingException,
                                             UserException,
                                             PageException,
                                             java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### getRootNodeName

    public java.lang.String getRootNodeName()

### getSBRs

    java.util.ArrayList getSBRs(java.lang.String[] euid)
                          throws ProcessingException,
                                 UserException

  Returns:
    ArrayList SBR
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### getSummaryInfo

    public java.lang.String getSummaryInfo()

### getSystemCodes

    public java.lang.String[][] getSystemCodes()

### getSystemDescription

    public java.lang.String getSystemDescription(java.lang.String systemcode)

### getSystemObject

    public SystemObject getSystemObject(java.lang.String systemCode,
                                        java.lang.String LID)
                                 throws ProcessingException,
                                        UserException

  Throws:
    `ProcessingException`
    `UserException`

### getSystemObjectAsHashMap

    public java.util.HashMap getSystemObjectAsHashMap(SystemObject so,
                                                      EPathArrayList ePathArrayList)
                                               throws ObjectException,
                                                      EPathException,
                                                      java.lang.Exception

  Throws:
    `ObjectException`
    `EPathException`
    `java.lang.Exception`

### getSystemObjectChildrenArrayList

    public java.util.ArrayList getSystemObjectChildrenArrayList(SystemObject so,
                                                                EPathArrayList ePathArrayList,
                                                                java.lang.String childObjType,
                                                                java.lang.String operation)
                                                         throws ObjectException,
                                                                EPathException,
                                                                java.lang.Exception

  Throws:
    `ObjectException`
    `EPathException`
    `java.lang.Exception`

### getSystemObjects

    public SystemObject[] getSystemObjects(java.lang.String systemCode,
                                           java.lang.String[] LID)
                                    throws ProcessingException,
                                           UserException

  Throws:
    `ProcessingException`
    `UserException`

### getUpdateUserName

    public java.lang.String getUpdateUserName()

### insertAuditLog

    public void insertAuditLog(java.lang.String userName,
                               java.lang.String euid1,
                               java.lang.String euid2,
                               java.lang.String function,
                               int screeneID,
                               java.lang.String detail)
                        throws ProcessingException,
                               UserException,
                               ObjectException

  Returns:
    none
  Throws:
    `ProcessingException,` - UserException, ObjectException.
    `ProcessingException`
    `UserException`
    `ObjectException`

### isEUIDMerge

    public boolean isEUIDMerge(java.lang.String transactionNumber)
                        throws ProcessingException,
                               UserException,
                               PageException,
                               java.rmi.RemoteException

  Parameters:
    `transactionNumber` - for which user needs to find whether this Transaction is Merge or Not
  Returns:
    true if the transaction is EUIDMerge
  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### isSystemObjectExists

    public boolean isSystemObjectExists(java.lang.String systemCode,
                                        java.lang.String LID)
                                 throws ProcessingException,
                                        UserException

  Throws:
    `ProcessingException`
    `UserException`

### lookupAssumedMatches

    public AssumedMatchIterator lookupAssumedMatches(AssumedMatchSearchObject amso)
                                              throws ProcessingException,
                                                     UserException

  This method fetches existing assumed Matches

  Returns:
    AssumedMatchIterator
  Throws:
    `ProcessingException` - An error has occured.
    `UserException`

### lookupAuditLog

    public AuditIterator lookupAuditLog(AuditSearchObject obj)
                                 throws ProcessingException,
                                        UserException

  Throws:
    `ProcessingException`
    `UserException`

### lookupPotentialDuplicates

    public PotentialDuplicateIterator lookupPotentialDuplicates(PotentialDuplicateSearchObject pdso)
                                                         throws ProcessingException,
                                                                UserException

  Throws:
    `ProcessingException`
    `UserException`

### lookupTransactionHistory

    public TransactionIterator lookupTransactionHistory(TransactionSearchObject searchObj)
                                                 throws ProcessingException,
                                                        UserException

  Throws:
    `ProcessingException`
    `UserException`

### mergeEnterpriseObject

    public MergeResult mergeEnterpriseObject(EnterpriseObject sourceEO,
                                             EnterpriseObject destinationEO)
                                      throws ProcessingException,
                                             UserException

  Parameters:
    `sourceEO` -
    `destinationEO` -
  Returns:
    MergeResult
  Throws:
    `ProcessingException`
    `UserException`

### mergeMultipleEnterpriseObjects

    public EnterpriseObject mergeMultipleEnterpriseObjects(java.lang.String[] sourceEUIDs,
                                                           EnterpriseObject destinationEO,
                                                           java.lang.String[] srcRevisionNumbers,
                                                           java.lang.String destRevisionNumber)
                                                    throws ProcessingException,
                                                           UserException

  Merge multiple enterprise records based on the given source EUIDs and the destination EO. The source EUIDs will each be successively merged into the destination EO. For example, sourceEUIDs[0] will be merged into the destination EO. Then sourceEUIDs[1] will be merged into the destination EO. Next, sourceEUIDS[2] will be merged into the destination EO. If there are n merges, there will be n merge transaction log entries. All of these transactions must be unmerged in order to restore the state prior to the multiple merge.

  Parameters:
    `sourceEUIDs` - Array of source EUIDs to be merged.
    `destinationEO` - The EnterpriseObject to be kept.
    `srcRevisionNumbers` - The SBR revision numbers of the Enterprise Objects to be merged.
    `destRevisionNumber` - The SBR revision number of the EUID to be kept.
  Returns:
    Results of merge operations.
  Throws:
    `ProcessingException` - An error has occured.
    `UserException` - A user error occured

### mergeSystemObject

    public SystemObject mergeSystemObject(java.lang.String systemCode,
                                          java.lang.String sourceLID,
                                          java.lang.String destLID,
                                          java.util.HashMap hm,
                                          java.util.ArrayList minorObjectsList)
                                   throws ProcessingException,
                                          UserException,
                                          ObjectException,
                                          ValidationException,
                                          java.lang.Exception

  Throws:
    `ProcessingException`
    `UserException`
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### modifyMinorObject

    public ObjectNode modifyMinorObject(ObjectNode minorObject,
                                        java.util.HashMap hm)
                                 throws ObjectException,
                                        ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### modifyMinorObjectSBR

    public ObjectNode modifyMinorObjectSBR(ObjectNode minorObject,
                                           java.util.HashMap hm,
                                           SBR sbr)
                                    throws ObjectException,
                                           ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### modifySBR

    public SBR modifySBR(SBR sbr,
                         java.util.HashMap hm)
                  throws ObjectException,
                         ValidationException,
                         java.lang.Exception

  Throws:
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### modifySystemObject

    public SystemObject modifySystemObject(SystemObject sysObj,
                                           java.util.HashMap hm)
                                    throws ObjectException,
                                           ValidationException,
                                           java.lang.Exception

  Throws:
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### modifySystemObject

    public SystemObject modifySystemObject(SystemObject sysObj,
                                           java.util.HashMap hm,
                                           java.util.ArrayList minorObjects)
                                    throws ObjectException,
                                           ValidationException,
                                           java.lang.Exception

  Throws:
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### modifySystemObjects

    public EnterpriseObject modifySystemObjects(EnterpriseObject eo,
                                                java.util.ArrayList systemObjects)
                                         throws UserException,
                                                ObjectException,
                                                ValidationException,
                                                java.lang.Exception

  Throws:
    `UserException`
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### previewUndoAssumedMatch

    public EnterpriseObject previewUndoAssumedMatch(java.lang.String assumedMatchId)
                                             throws ProcessingException,
                                                    UserException

  This method invokes method in EJB to preview/simulate the UNDo on an existing Assumed Match

  Parameters:
    `assumedMatchId` - Id of assumed match to be resolved
  Returns:
    EnterpriseObject
  Throws:
    `ProcessingException` - An error has occured.
    `UserException` - Invalid id

### previewUnmerge

    public MergeResult previewUnmerge(java.lang.String transactionNumber)
                               throws ProcessingException,
                                      UserException

  Throws:
    `ProcessingException`
    `UserException`

### removeLinks

    public EnterpriseObject removeLinks(java.util.HashMap hm,
                                        EnterpriseObject eo)
                                 throws ProcessingException,
                                        UserException

  Parameters:
    `hm` - contains Key is ePath for the string which the link should persisted, Value as SO's SystemCode:LID from which we should collect the link to remove
    `eo` - the EnterpriseObject for which the links should be removed.
  Returns:
    Modified Enterprise objects with removed links
  Throws:
    `ProcessingException`
    `UserException`

### removeLinksForChildren

    public EnterpriseObject removeLinksForChildren(java.util.ArrayList childrenHashmaps,
                                                   EnterpriseObject eo)
                                            throws ProcessingException,
                                                   UserException

  Parameters:
    `childrenHashmaps` - Arraylist of HashMaps, Each Hashmap should contain a perticuler Child's Links. This HashMap should have values for MINOR_OBJECT_ID, MINOR_OBJECT_TYPE
    `eo` - for which the links should be removed.
  Returns:
    Modified Enterprise objects with removed links
  Throws:
    `ProcessingException`
    `UserException`

### removeLocks

    public EnterpriseObject removeLocks(java.util.HashMap hm,
                                        EnterpriseObject eo)
                                 throws ProcessingException,
                                        UserException

  Throws:
    `ProcessingException`
    `UserException`

### removeMinorObject

    public void removeMinorObject(ObjectNode minorObject,
                                  java.util.HashMap hm)
                           throws ObjectException

  Throws:
    `ObjectException`

### removeMinorObject

    ObjectNode removeMinorObject(ObjectNode majorObject,
                                 ObjectNode minorObject)
                           throws ProcessingException,
                                  UserException

  Returns:
    ObjectNode
  Throws:
    `UserException,` - ProcessingException.
    `ProcessingException`
    `UserException`

### removeMinorObject

    public void removeMinorObject(SBR sbr,
                                  java.util.HashMap hm)
                           throws ObjectException

  Throws:
    `ObjectException`

### save

    public EnterpriseObject save(EnterpriseObject eo,
                                 java.util.ArrayList changedSBR,
                                 java.util.ArrayList systemObjects,
                                 java.util.ArrayList minorObjects)
                          throws UserException,
                                 ObjectException,
                                 ValidationException,
                                 java.lang.Exception

  Throws:
    `UserException`
    `ObjectException`
    `ValidationException`
    `java.lang.Exception`

### saveLinks

    public EnterpriseObject saveLinks(java.util.HashMap hm,
                                      EnterpriseObject eo)
                               throws ProcessingException,
                                      UserException

  Parameters:
    `hm` - contains Key is ePath for the string which the link should persisted, Value as Value as SO's SystemCode:LID from which we should collect the link
    `eo` - the EnterpriseObject for which the links should be added.
  Returns:
    Modified Enterprise objects with the links.
  Throws:
    `ProcessingException`
    `UserException`

### saveLinksForChildren

    public EnterpriseObject saveLinksForChildren(java.util.ArrayList childrenHashmaps,
                                                 EnterpriseObject eo)
                                          throws ProcessingException,
                                                 UserException

  Parameters:
    `childrenHashmaps` - Arraylist of HashMaps, Each Hashmap should contain a perticuler Child's Links. This HashMap should have values for MINOR_OBJECT_ID, MINOR_OBJECT_TYPE
    `eo` - the EnterpriseObject for which the links should be added.
  Returns:
    Modified Enterprise objects with the links for clildren.
  Throws:
    `ProcessingException`
    `UserException`

### searchEnterpriseObject

    public EOSearchResultIterator searchEnterpriseObject(EOSearchCriteria eoSearchCriteria,
                                                         EOSearchOptions eoSearchOptions)
                                                  throws ProcessingException,
                                                         UserException

  Throws:
    `ProcessingException`
    `UserException`

### setAsDifferentPerson

    public void setAsDifferentPerson(java.lang.String id,
                                     boolean flag)
                              throws ProcessingException,
                                     UserException

  Parameters:
    `id` - is the duplicate id
    `flag` - is the boolean to set true or false
  Throws:
    `ProcessingException`
    `UserException`

### setAuditMsg

    public void setAuditMsg(java.lang.String val)

### setObjectNodeFieldValue

    public static void setObjectNodeFieldValue(ObjectNode node,
                                               java.lang.String field,
                                               java.lang.String valueString)
                                        throws ObjectException,
                                               ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### setObjectNodeFieldValue

    public static void setObjectNodeFieldValue(ObjectNode node,
                                               java.lang.String field,
                                               java.lang.String valueString,
                                               SBR sbr)
                                        throws ObjectException,
                                               ValidationException

  Throws:
    `ObjectException`
    `ValidationException`

### setRootNodeName

    public void setRootNodeName(java.lang.String rootNodeName)

### setSummaryInfo

    public void setSummaryInfo(java.lang.String val)

### setUpdateUserName

    public void setUpdateUserName(java.lang.String updateUserName)

### undoAssumedMatch

    public java.lang.String undoAssumedMatch(java.lang.String assumedMatchId)
                                      throws ProcessingException,
                                             UserException

  This method invokes method in EJB to UNDO an existing Assumed Match

  Parameters:
    `assumedMatchId` - Id of assumed match to be resolved
  Returns:
    EUID of new EO
  Throws:
    `ProcessingException` - An error has occured.
    `UserException` - Invalid id

### unmerge

    public MergeResult unmerge(java.lang.String transactionNumber)
                        throws ProcessingException,
                               UserException

  Throws:
    `ProcessingException`
    `UserException`

### unMerge

    public MergeResult unMerge(java.lang.String euid)
                        throws ProcessingException,
                               UserException,
                               PageException,
                               java.rmi.RemoteException

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`

### unmergeEnterpriseObject

    MergeResult unmergeEnterpriseObject(EnterpriseObject eo)
                                  throws ProcessingException,
                                         UserException

  Returns:
    MergeResult
  Throws:
    `UserException.`
    `ProcessingException`
    `UserException`

### unresolvePotentialDuplicate

    public void unresolvePotentialDuplicate(java.lang.String id)
                                     throws ProcessingException,
                                            UserException

  Throws:
    `ProcessingException`
    `UserException`

### updateEnterpriseObject

    public void updateEnterpriseObject(EnterpriseObject eo)
                                throws ProcessingException,
                                       UserException

  Returns:
    void
  Throws:
    `UserException,` - ProcessingException.
    `ProcessingException`
    `UserException`

### viewHistory

    public java.util.ArrayList viewHistory(java.lang.String euid)
                                    throws ProcessingException,
                                           UserException,
                                           PageException,
                                           java.rmi.RemoteException,
                                           java.lang.Exception

  Throws:
    `ProcessingException`
    `UserException`
    `PageException`
    `java.rmi.RemoteException`
    `java.lang.Exception`

### viewMergeRecords

    public EnterpriseObjectHistory viewMergeRecords(java.lang.String transactionNumber)
                                             throws ProcessingException,
                                                    UserException

  Throws:
    `ProcessingException`
    `UserException`

### viewMergeTree

    public void viewMergeTree(java.lang.String euid)
                       throws ProcessingException,
                              UserException

  Throws:
    `ProcessingException`
    `UserException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.